/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';

export class MiscellaneousService {

    /**
     * Health Check
     * Check the health of the service.
     *
     * @returns any Service Health is OK
     * @throws ApiError
     */
    public static miscellaneousHealthCheck(): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/health',
            errors: {
                500: `Service Health is not OK`,
            },
        });
    }

}
